## IdeLangservRenameProvider IdeLangservRenameProvider |

## Functions

IdeLangservClient * | ide_langserv_rename_provider_get_client ()
void | ide_langserv_rename_provider_set_client ()

## Properties

IdeBuffer * | buffer | Write
IdeLangservClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LANGSERV_RENAME_PROVIDER
struct | IdeLangservRenameProviderClass
| IdeLangservRenameProvider

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLangservRenameProvider

## Implemented Interfaces

IdeLangservRenameProvider implements IdeRenameProvider.

## Description

## Functions

### ide_langserv_rename_provider_get_client ()

    IdeLangservClient *
    ide_langserv_rename_provider_get_client
                                   (IdeLangservRenameProvider *self);

#### Returns

an IdeLangservClient or `NULL`.

[transfer none][nullable]

### ide_langserv_rename_provider_set_client ()

    void
    ide_langserv_rename_provider_set_client
                                   (IdeLangservRenameProvider *self,
                                    IdeLangservClient *client);

## Types and Values

### IDE_TYPE_LANGSERV_RENAME_PROVIDER

    #define IDE_TYPE_LANGSERV_RENAME_PROVIDER (ide_langserv_rename_provider_get_type())

### struct IdeLangservRenameProviderClass

    struct IdeLangservRenameProviderClass {
      IdeObjectClass parent_instance;
    };

### IdeLangservRenameProvider

    typedef struct _IdeLangservRenameProvider IdeLangservRenameProvider;

## Property Details

### The `“buffer”` property

      “buffer”                   IdeBuffer *

The buffer for renames.

Flags: Write

### The `“client”` property

      “client”                   IdeLangservClient *

The Language Server client.

Flags: Read / Write